Name:           xdg-utils-cxx
Version:        1.0.1
Release:        1%{?dist}
Summary:        Implementation of the Free Desktop Standards in C++
License:        MIT
URL:            https://github.com/azubieta/xdg-utils-cxx

Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  gtest-devel

%global _description \
This project was started to fulfill the need of a reliable implementations \
of such standards in the AppImage project. It is totally standalone and \
only depends on the standard c++ libraries (stdlib)

%description %{_description}

%package -n %{name}-devel
Summary:  %{summary}
%description -n %{name}-devel %{_description}

%prep
%autosetup -p1

%build
%cmake -DXDG_UTILS_SHARED=ON -DXDG_UTILS_TESTS=ON
%cmake_build

%install
%cmake_install

%check
%ctest

%files -n %{name}-devel
%doc README.md
%license LICENSE
%{_includedir}/XdgUtils/
%{_libdir}/XdgUtils/
%{_libdir}/cmake/XdgUtils/

%changelog
* Sun Oct 22 2023 Steve Cossette <farchord@gmail.com> - 1.0.1-1
- Initital release of xdg-utils-cxx
